Subject: Re: kernel/trace/ftrace.c new warning in next-20080723

From: Rusty Russell <[email-masked]>
Date: Thu, 24 Jul 2008 10:52:11 +1000

On Thursday 24 July 2008 08:39:45 Harvey Harrison wrote:
> > kernel/trace/ftrace.c: In function ‘ftrace_run_update_code’:
> > kernel/trace/ftrace.c:590: warning: ‘stop_machine_run’ is deprecated
> > (declared at include/linux/stop_machine.h:59) kernel/trace/ftrace.c: In
> > function ‘ftrace_update_code’:
> > kernel/trace/ftrace.c:790: warning: ‘stop_machine_run’ is deprecated
> > (declared at include/linux/stop_machine.h:59) kernel/trace/ftrace.c: In
> > function ‘ftrace_dynamic_init’:
> > kernel/trace/ftrace.c:1567: warning: ‘stop_machine_run’ is deprecated
> > (declared at include/linux/stop_machine.h:59)
>
> FYI,
>
> Harvey

Yep, this is known, expected and harmless.  I'm waiting for Linus to pull my 
lguest and virtio patches before I send the stop_machine changes.

Cheers,
Rusty.